/**
  * Aller (le terrier d'AbulEdu)
  *
  * @warning aucun traitement d'erreur n'est pour l'instant implémenté
  * @see https://redmine.ryxeo.com/projects/leterrier-aller
  * @author 2011 Jean-Louis Frucot <frucot.jeanlouis@free.fr>
  * @see The GNU Public License (GPL)
  */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include "mainwindow.h"
#include "ui_mainwindow.h"


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    box = new AbulEduTeteV1("pingouin", 5);
    ui->frametete->setLayout(box);

}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

//void MainWindow::on_pushButton_clicked()
//{
//    box->resetTetes("pingouin", 5);
//    box->setEtatTete(0,1);
//    box->setEtatTete(1,2);
//    box->setEtatTete(2,3);
//}

//void MainWindow::on_pushButton_2_clicked()
//{
//    box->resetTetes("asma", 10);

//}

void MainWindow::on_cbTypeTete_currentIndexChanged(const QString &arg1)
{
    box->resetTetes(arg1,ui->sbNbTetes->value() );
    on_cbEtatTete_currentIndexChanged(ui->cbEtatTete->currentIndex());
}

void MainWindow::on_sbNbTetes_valueChanged(int arg1)
{
    box->resetTetes(ui->cbTypeTete->currentText(), arg1);
    on_cbEtatTete_currentIndexChanged(ui->cbEtatTete->currentIndex());
}

void MainWindow::on_spinBox_valueChanged(int arg1)
{
    box->resizeTetes(arg1);
}



void MainWindow::on_cbEtatTete_currentIndexChanged(int index)
{
    for(int i = 0; i<ui->sbNbTetes->value(); i++)
    {
        box->setEtatTete(i, index);
    }
}
